<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Bootstrap Introduction and Simple Styles</title>

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>
<body class="text-center bg-secondary"> <!-- text-center center all elements -->

	<!-- 

		p - padding
		m - margin
		1 - 0.25rem
		2 - 0.5rem
		3 - 1rem
		4 - 1.5rem
		5 - 3rem

		mt - margin top
		mb - margin bottom
		ml - margin left
		mr - margin right
		mx - margin left right
		my - margin top bottom

	 -->

	<!-- Navbar -->
	<div class="bg-primary text-light fixed-top p-1"> <!-- p-value adding padding -->
		Fixed Top - Navbar
	</div>
	<!-- End of Navbar -->


	<!-- Header -->
	<div class="mt-5">
		<h1>Bootstrap Introduction and Simple Style</h1>

		<!--
			display: none; removing element 
		 -->
		<div class="d-none d-lg-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="img-fluid rounded-circle bg-white">
		</div>
	</div>
	<!-- End of Header -->


	<div class="container-fluid my-5">
		<!-- Bootstrap Color Classes Table -->
		<h2>Bootstrap Color Classes</h2>

		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<!-- Applying background color -->
					<th>Background</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">Primary link</a>
						<td class="text-white bg-primary">Primary</td>
					</td>
				</tr>
			</tbody>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-secondary">Secondary link</a>
						<td class="text-white bg-secondary">Secondary</td>
					</td>
				</tr>
			</tbody>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-success">Success link</a>
					</td>
						<td class="text-white bg-success">Success</td>
				</tr>
			</tbody>
					<tbody>
				<tr>
					<td>
						<a href="#" class="text-danger">Danger link</a>
					</td>
					<td class="text-white bg-danger">Danger</td>
				</tr>
			</tbody>		
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-warning">Warning link</a>
					</td>
						<td class="text-white bg-warning">Warning</td>
				</tr>
			</tbody>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-info">Info link</a>
					</td>
					<td class="text-white bg-primar-info">Info</td>
				</tr>
			</tbody>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-light">Light link</a>
					</td>
					<td class="text-dark bg-light">Light</td>
				</tr>
			</tbody>
			<tbody>
				<tr>
					<td class="bg-white">
						<a href="#" class="text-dark">Dark link</a>
					</td>
					<td class="text-white bg-dark">Dark</td>
				</tr>
			</tbody>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-white">White link</a>
					</td>
					<td class="text-dark bg-white">White</td>
				</tr>
			</tbody>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-muted">Muted link</a>
					</td>
					<td class="text-white bg-transparent">Transparent</td>
				</tr>
			</tbody>
		</table>
		<!-- End of Bootstrap Color Classes Table -->

		<!-- Bootstrap text alignment Classes Tabel -->
		<h2>Bootstrap Text Classes</h2>
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Allignment</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<!-- Left align text on all viewport sizes. -->
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<!-- Center align text on all viewport sizes. -->
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<!-- Right aligna text on all viewport sizes. -->
					<td class="text-right">Right</td>
				</tr>
				<tr>
					<!-- Breakpoints
						xs < 576px
						sm >= 576px
						md >= 768px
						lg >=992px
						xl 
					-->
					<td class="text-sm-center">Small Center</td> <!-- if viewport > 576 will center, else default -->
				</tr>
				<tr>
					<td class="text-right text-md-left">Medium left</td>
				</tr>
				<tr>
					<td class="text-lg-right">Lard Right</td>
				</tr>
				<tr>
					<td class="text-xl-center text-left">Extra Large Center</td>
				</tr>
			</tbody>
		</table>
		<!-- End of Bootstrap text alignment Classes Tabel -->

		<!-- Bootstrap Other Text Classes Table -->
		<h2>Bootstrap Other Text Classes Table</h2>
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Text Transform</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-lowercase font-weight-bold">LOWERCASED BOLD TEXT</td>
				</tr>
				<tr>
					<td class="text-uppercase font-weight-nomal">uppercased normal text</td>
				</tr>
				<tr>
					<td class="text-capitalized font-weight-light">capitalized light text</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-decoration-none font-italic">Non-underlined Italic Link</a>
					</td>
				</tr>
			</tbody>
		</table>
		<!-- End of Bootstrap Other Text Classes Table -->

		<!-- Bootstrap Border and Sizing Classes -->
		<h2>Bootstrap Border and Sizing Classes</h2>

		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>

				<!-- 
					width
					w-100, w-75, w-50, w-25
					height
					h-100, h-75, h-50, h-25

				 -->
				<tr>
					<td>
						<div class="bg-info border border-warning rounded w-100"> <!-- declare border first then border-color -->
							Rounded
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-secondary border border-white rounded-circle w-75">
							Rounded Circle
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-warning border border-danger rounded-pill w-25"> <!-- declare border first then border-color -->
							Rounded Pill
						</div>
					</td>
				</tr>
			</tbody>
		</table>

		<!-- End of Bootstrap Border and Sizing Classes -->


	</div>

	<!-- Footer -->

	<div class="bg-primary text-light fixed-bottom p-1">
		Fixed Bottom - Footer
	</div>










	<!-- JS Depedencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>